﻿using System;
using System.ComponentModel;

namespace CodeGeneratorTool
{
    public class AllProperties
    {
        private Type _CLRType;
        private string _Name;

        public AllProperties()
        {
            this._CLRType = typeof(string);
            this._Name = string.Empty;
        }

        /// <summary>
        /// The property's Dot Net data type
        /// </summary>
        [Category("Data Type")]
        public Type CLRType
        {
            get { return _CLRType; }
            set { _CLRType = value; }
        }
        /// <summary>
        /// The name of the property
        /// </summary>
        [Category("General")]
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
    }
}
